3 berry丶

尚未进行身份认证

我要认证

学生党,以后准备从事专业方面工作

等级
TA的排名 6w+

Ubuntu16.04安装kinect v2相机驱动 orb_slam2问题记录

https://blog.csdn.net/lwq123free/article/details/90755822https://blog.csdn.net/renyuanxingxing/article/details/89461888orb_slam2:https://blog.csdn.net/sinat_27066063/article/details/90416188

2020-09-22 09:28:56

yolov3 Python实现

运行环境:Ubuntu16.04 Python_opencv 3.4.4 Python3.5#encoding: utf-8import syssys.path.remove('/opt/ros/kinetic/lib/python2.7/dist-packages')#ros下的冲突,若没有不需要这个语句import numpy as npimport cv2 as cvimport osimport timeimport matplotlib.pyplot as pltyolo

2020-09-22 09:21:29

Ubuntu系统下文件带小锁如何解决

问题描述:配置环境过程中莫名其妙文件带锁,不能读写甚至不能删除操作。遇到过不少次了,这次记录下,久了不用就忘了。方法一:单个文件被锁的情况sudo chmod 777 filenamefilename换成你需要解锁的文件即可,例如:sudo chmod 777 main.cpp.那么被锁的main.cpp文件就解锁了。方法二:文件夹带锁:这个时候不能用上面的方法了,因为你解锁了当面文件夹,文件夹里面的内容会全部带锁。这个时候:sudo chown -R username file

2020-09-15 17:11:48

ImportError: /opt/ros/kinetic/lib/python2.7/dist-packages/cv2.so: 问题有效解决

先说明我出现这个问题的原因:Ubuntu16.04的系统,装了ros-kinetic,自带了Python2.7的版本.因为其他需要,又安装Python3.5的版本(懂得都懂,,这种情况版本冲突常常发生).然后需要用到opencv3.4.2以上的版本,我给Python3.5安装了opencv3.4.4.然后执行命令就会报题目上的错.因为,之前再Python2.7的版本安装Python-opencv相关依赖时,那个时候安装了opencv2.4.9的版本,导致执行依赖opencv3.4.4代码时默认检索到2.

2020-08-12 11:14:57

Ubuntu16.04系统下Python3.5 安装opencv3.4.4

Ubuntu16.04 下 opencv3.4.4的版本电脑上装过,不过是C++能用,最近需要用Python实现一个利用opencv3.4.2以上版本的功能,试着装一下,成功记录一下,以便后用.1.安装相关工具及依赖安装之前习惯升级包和库:sudo apt-get updatesudo apt-get upgrade相关工具安装:sudo apt-get install build-essential cmake pkg-config git wget安装numpy模块:

2020-08-12 10:55:50

Matlab工具箱Camera Calibrator 实现单目标相机的标定

单目相机标定OpenCV也可以实现,只是matlab的标定工具箱精度可能更高.具体步骤如下:1.打开matlab在应用程序找到标定工具2.加载使用相机拍好的标定板图像3.根据自己标定板的情况填写格子间距我的标定板是每个边长125mm的4.预览图片,然后标定5.结果查看等待一下,计算结束后界面会出现三部分,一是标定图片,二是重投影误差可视化表格,三是立体的投影情况,可自由查看另外可以导出结果到matlab输出界面:然后输出界面:相机的内参,畸变等

2020-08-11 21:29:53

从ROS bag包中提取出带时间戳的图片和pcd点云数据

之前用rosbag命令记录了相机拍摄的图像数据以及激光雷达的点云数据,需要从bag包中将两种数据分别提取出来,并且要有时间戳,此处记录下来,以便后用。1.查看bag包信息rosbag info xxx.bagxxx.bag就是你录取时候设置或者系统你默认的包名。(请保证ROS主节点roscore已运行)例如:rosbag info water3.bag,此时会输出以下信息:可以看到,图像数据3222帧,点云1161帧。2.提取出点云数据命令原型如下:rosrun pcl_

2020-08-06 09:25:03

UBUNTU16.04命令行安装PCL1.7(亲测有效)

安装PCL点云库,最开始是按照先安装相关依赖,然后github上clone PCL相关版本包的形式安装的,编译遇到了很多问题,结果最后安装完成,但却无法运行例程。难过。。。又尝试了命令行的形式,命令行的形式直观简单,可安装编译好的点云库(PCL-1.7),附带安装了VTK-6.2.0等依赖库。命令行安装最好保证网络情况,因为网络不好可能会出现下载失败等情况。具体步骤如下:1.PCL安装sudo apt-get install libpcl-dev pcl-tools libproj-d

2020-08-05 22:03:32

使用Autoware标定工作箱calibration进行相机和三维激光雷达的联合标定

利用calibration标定工作箱实现相机和激光雷达的联合标定,记录详细的操作过程以及标定的一些小细节,以备后用。系统:ubuntu16.04硬件:华硕ASUS Xtion相机 Velodyne 16线激光雷达标定板:calibration工作包中有一张8*6的棋盘格图片,本文使用的是9*7的棋盘格格子边长12.5cm的硬纸板。详细步骤如下:1.数据包的记录Autoware软件中提供了rosbag的功能,但我还是习惯用终端rosbag的方式记录数据。1...

2020-07-06 16:16:39

ubuntu16.04安装Autoware1.11和联合标定工具包calibration以及相关问题介绍(亲测有效)

https://gitee.com/erichong007/autoware?_from=gitee_searchhttps://www.jianshu.com/p/daa91bc28108https://blog.csdn.net/qq_29462849/article/details/88614440https://blog.csdn.net/Nofear123/article/details/104171853

2020-07-05 19:50:30

解决UBUNTU16.04命令sudo apt-get update 报错Failed to fetch(亲测有效)

执行sudo apt-get update报错:E: Failed to fetch http://ppa.launchpad.net/v-launchpad-jochen-sprickerhof-de/pcl/ubuntu/dists/xenial/main/binary-amd64/Packages 404 Not Found [IP: 91.189.95.83 80]E: Some index files failed to download. They have been ignored,..

2020-07-02 09:51:43

ubuntu16.04多版本Python任意切换(亲测有效)

UBUNTU16.04的系统安装ROS之后,自带的是Python2.7.12的版本。然后实际使用中,可能用到其他工具需要装Python3.5以上的版本。安装完之后,可能经常在编译某些工程的时候出现一些代码的库或者头文件不能找到或识别的错误,归根结底是Python版本的问题。通常安装新版本之后,你会默认的将新版本的环境变量设置为Python的路劲,导致你编译ROS下的工程时,会有或多或少的错误。因此根据实际编译使用情况尝试任意切换版本。具体步骤如下:1.查看系统中Python版本和安装路径whe

2020-07-02 09:23:41

一篇卷积神经网络CNNs通俗易懂的文章

码过来学习

2020-06-27 12:31:12

ubuntu16.04安装CUDA10.0和对应版本的cudnn详细流程

因为需要,所以需要安装CUDA10.0及对应的cudnn版本。该教程是在前文ubuntu16.04安装nvidia显卡驱动的基础上进行的。显卡驱动安装的是440.82的版本,CUDA10.0需要最低驱动要求是410.48.所以完全满足。具体流程如下:1.CUDA10.0的安装本文采用的是runfile的方式安装的,相比package manager,成功率更高。1)安装包下载首先下载CUDA的安装包:CUDA安装包下载根据自己的具体情况选择对应的版本,最后要选择runfile文件,然

2020-06-05 23:39:37

ubuntu16.04安装NVIDIA显卡驱动或者更换高版本显卡驱动详细(下载.run包方式)

安装CUDA及CUDNN一类的基本上都是深度学习需要,在新的主机上重新装一次,同时记录以便后用。安装顺序大概如下:1)首先安装NVIDIA显卡驱动,CUDA版本提升,需要的显卡驱动版本要求越高,还有内核的版本也需要满足,但是系统默认安装情况下的内核通常都是满足CUDA需要的,如果不幸出现内核低的问题,下载高版本的内核即可。参考图如下(图借鉴):2)然后在安装你所需要的CUDA和cudnn版本。详细安装如下:1.NVIDIA显卡驱动安装1)下载显卡驱动首先你要了解你的显卡类型(

2020-06-05 11:23:07

ubuntu16.04安装ROS及可能遇到的问题

系统难免有重装或者换主机的情况,装依赖在所难免,记性不好,留个备注:https://blog.csdn.net/weixin_43159148/article/details/83375218网上大多数都是差不多的。需要注意的是,默认的UBUNTU的源也没问题,而sudo apt-get install ros-kinetic-desktop-full以后可能会出现下载问题,找不到某些包一类的问题。网上给的很多解决方法就是更换源或者在sources.list文件中添加一些东西。其实也不必这些,这

2020-06-04 11:07:01

ubuntu16.04安装搜狗输入法详细操作

难免有重装系统和换电脑的情况,记性不好,留个好用的。https://blog.csdn.net/areigninhell/article/details/79696751亲测多次好用。

2020-06-03 15:32:58

ubuntu16.04编译运行YOLOv4

YOLOv4使用GPU测试及训练配置要求:CUDA 10.0 cudnn 7.0以上 opencv2.4以上 整个满足配置的情况下详细过程如下:1.下载YOLOV4git clone https://github.com/AlexeyAB/darknet.git2.编译(1如果只用CPU测试,没有安装CUDA和Cudnn,直接cd到指定目录下make编译即可.cd darknetmake之前可能会报错error: ‘for’ loop initial decla.

2020-05-28 22:33:40

Uubuntu16.04安装华硕ASUS Xtion驱动并简单使用

版本:Ubuntu16.04 kinetic1.安装相关Xtion驱动sudo apt-get install ros-kinetic-rgbd-launch ros-kinetic-openni2-camera ros-kinetic-openni2-launch2.安装可视化交互插件qrtsudo apt-get install ros-kinetic-rqt ros-kinetic-rqt-common-plugins ros-kinetic-rqt-robot-plugins

2020-05-23 21:56:03

ubuntu16.04安装Python3.7及可能出现问题总结

最近尝试CornerNet_Lite,需要python3.7的环境,安装流程如下:1.安装相关依赖sudo apt-get updatesudo apt-get install build-essential python-dev python-setuptools python-pip python-smbussudo apt-get install build-essential libncursesw5-dev libgdbm-dev libc6-devsudo apt-get

2020-05-20 20:31:49

查看更多

勋章 我的勋章
  • 签到新秀
    签到新秀
    累计签到获取,不积跬步,无以至千里,继续坚持!
  • 阅读者勋章Lv1
    阅读者勋章Lv1
    授予在CSDN APP累计阅读博文达到3天的你,是你的坚持与努力,使你超越了昨天的自己。
  • 持之以恒
    持之以恒
    授予每个自然月内发布4篇或4篇以上原创或翻译IT博文的用户。不积跬步无以至千里,不积小流无以成江海,程序人生的精彩需要坚持不懈地积累!
  • 勤写标兵Lv1
    勤写标兵Lv1
    授予每个自然周发布1篇到3篇原创IT博文的用户。本勋章将于次周周三上午根据用户上周的博文发布情况由系统自动颁发。